Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Which version is correct with Mac OS 10.5.8?

  • 2 replies
  • 55 have this problem
  • 38408 views
  • آخر ردّ كتبه Matt_G

more options

Still trying to locate correct Firefox version to run with Mac power PC running OS 10.5.8.

All Replies (2)

more options

Firefox 3.6.x is the last available from Mozilla for PPC Macs.
http://www.mozilla.com/en-US/firefox/all-older.html


For older Macs that aren't supported in the Firefox 4+ versions, try TenFourFox for PowerPC's running Mac 10.4.11 & 10.5.8 .
http://www.floodgap.com/software/tenfourfox/
http://tenfourfox.blogspot.com/
https://code.google.com/p/tenfourfox/wiki/PluginsNoLongerSupported
http://code.google.com/p/tenfourfox/wiki/AAATheFAQ

more options

Hi BobMcD,

Firefox 4 and above requires Mac OS X 10.5 or greater and will only run on an Intel Mac. Mac OS X 10.4 users, and 10.5 users with a PPC Mac, can run the latest 3.6 series available here.

You could also try TenFourMac, which is a fork of Firefox and is based on Mozilla 2.0 and Firefox 4 code.

Hopefully this helps!